Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Class XPathProcessorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--weblogic.apache.xalan.xpath.XPathException
                              |
                              +--weblogic.apache.xalan.xpath.XPathProcessorException

public class XPathProcessorException
extends XPathException

Derived from XPathException in order that XPath processor exceptions may be specifically caught.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xalan.xpath.XPathException
`m_exception`

Constructor Summary
`XPathProcessorException(java.lang.String message)` Create an XPathProcessorException object that holds an error message.
`XPathProcessorException(java.lang.String message, java.lang.Exception e)` Create an XPathProcessorException object that holds an error message, and another exception that caused this exception.

Methods inherited from class weblogic.apache.xalan.xpath.XPathException
`getException, getMessage, getStylesheetNode, printStackTrace, printStackTrace`

Methods inherited from class org.xml.sax.SAXException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathProcessorException

    public XPathProcessorException(java.lang.String message)

  Create an XPathProcessorException object that holds an error message.

  Parameters:
    `message` - The error message.

### XPathProcessorException

    public XPathProcessorException(java.lang.String message,
                                   java.lang.Exception e)

  Create an XPathProcessorException object that holds an error message, and another exception that caused this exception.

  Parameters:
    `message` - The error message.
    `e` - The exception that caused this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD